import { TextlintKernelFilterRule } from "../textlint-kernel-interface";
import { TextlintFilterRuleDescriptor } from "./TextlintFilterRuleDescriptor";
/**
 * The collection class of TextlintFilterRuleDescriptor
 */
export declare class TextlintFilterRuleDescriptors {
    private ruleDescriptorList;
    constructor(ruleDescriptorList?: TextlintFilterRuleDescriptor[]);
    /**
     * Convert this to TextlintKernel rules format
     * @returns {Array}
     */
    toKernelFilterRulesFormat(): Array<TextlintKernelFilterRule>;
    /**
     * Return enabled descriptors
     */
    readonly descriptors: TextlintFilterRuleDescriptor[];
    /**
     * Return all descriptors that include disabled descriptors
     */
    readonly allDescriptors: TextlintFilterRuleDescriptor[];
    /**
     * filter duplicated descriptors
     */
    withoutDuplicated(): TextlintFilterRuleDescriptors;
}
