import { TextlintKernelRule } from "../textlint-kernel-interface";
import { TextlintRuleModule, TextlintRuleOptions, TextlintRuleReporter } from "@textlint/types";
/**
 * Textlint Rule Descriptor.
 * It handle RuleCreator and RuleOption.
 */
export declare class TextlintLintableRuleDescriptor {
    private textlintKernelRule;
    constructor(textlintKernelRule: TextlintKernelRule);
    readonly id: string;
    /**
     * Rule module-self
     */
    readonly rule: TextlintRuleModule;
    /**
     * Return true if this rule is enabled.
     */
    readonly enabled: boolean;
    /**
     * Return linter function
     * You should check hasLiner before call this.
     */
    readonly linter: TextlintRuleReporter;
    /**
     * Return normalized rule option object.
     * If the rule have not option, return `true` by default.
     */
    readonly normalizedOptions: TextlintRuleOptions;
    readonly rawOptions: boolean | undefined | TextlintRuleOptions;
    /**
     * Return true if descriptor is same
     */
    equals(descriptor: TextlintLintableRuleDescriptor): boolean;
    toKernel(): TextlintKernelRule;
}
