import { TextlintKernelPlugin } from "../textlint-kernel-interface";
import { Descriptor } from "./Descriptor";
import { TextlintPluginOptions, TextlintPluginProcessor } from "@textlint/types";
/**
 * Textlint Plugin Descriptor
 */
export declare class TextlintPluginDescriptor implements Descriptor<TextlintKernelPlugin> {
    private plugin;
    processor: TextlintPluginProcessor;
    constructor(plugin: TextlintKernelPlugin);
    readonly id: string;
    /**
     * Return true if this rule is enabled.
     */
    readonly enabled: boolean;
    /**
     * Return available extension of this plugin
     */
    readonly availableExtensions: string[];
    readonly normalizedOptions: TextlintPluginOptions;
    readonly rawOptions: boolean | TextlintPluginOptions | undefined;
    toKernel(): TextlintKernelPlugin;
    equals(target: this): boolean;
}
