export interface TextlintMessageFixCommand {
    text: string;
    range: [number, number];
}
export interface TextlintMessage {
    type: string;
    ruleId: string;
    message: string;
    data?: any;
    fix?: TextlintMessageFixCommand;
    line: number;
    column: number;
    index: number;
    severity: number;
}
export interface TextlintResult {
    filePath: string;
    messages: TextlintMessage[];
}
export interface TextlintFixResult {
    filePath: string;
    output: string;
    messages: TextlintMessage[];
    applyingMessages: TextlintMessage[];
    remainingMessages: TextlintMessage[];
}
